Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.proxy
Class DNSJavaHandler

    java.lang.Object
      rabbit.proxy.DNSJavaHandler

All Implemented Interfaces:
  DNSHandler

    public class DNSJavaHandler

extends java.lang.Object
implements DNSHandler

A DNS handler using the dnsjava packages

Constructor Summary
`DNSJavaHandler()`

Method Summary
`java.net.InetAddress` | `getInetAddress(java.lang.String host)` Look up an internet address.
`java.net.InetAddress` | `getInetAddress(java.net.URL url)` Look up an internet address.
`void` | `setup(Proxy proxy)` Do any neccessary setup.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DNSJavaHandler

    public DNSJavaHandler()

Method Detail

### setup

    public void setup(Proxy proxy)

  Do any neccessary setup.

  Specified by:
    `setup` in interface `DNSHandler`
  Parameters:
    `proxy` - the Proxy to handle dns requests for.

### getInetAddress

    public java.net.InetAddress getInetAddress(java.net.URL url)
                                        throws java.net.UnknownHostException

  Look up an internet address.

  Specified by:
    `getInetAddress` in interface `DNSHandler`
  Parameters:
    `url` - the url to get the host from
  Throws:
    `java.net.UnknownHostException`

### getInetAddress

    public java.net.InetAddress getInetAddress(java.lang.String host)
                                        throws java.net.UnknownHostException

  Description copied from interface: `DNSHandler`
  Look up an internet address.

  Specified by:
    `getInetAddress` in interface `DNSHandler`
  Parameters:
    `host` - the name of the host to lookup
  Throws:
    `java.net.UnknownHostException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD